import { getConfig, getExpandedRoutes } from './app/utils/content-routes'

export default defineNuxtConfig({
  compatibilityDate: '2025-10-25',
  $meta: { name: 'content' },
  devtools: { enabled: true },
  hooks: {
    async 'prerender:routes'(context) {
      context.routes.clear()

      const config = await getConfig()
      const routes = await getExpandedRoutes(config)

      for (const route of routes) {
        context.routes.add(`/${route}`)
      }
    },
  },
})
